<?php
/**
 * Camaraderie ( functions-portfolio.php )
 *
 * @package      Camaraderie
 * @copyright    Copyright (C) 2018-2019. Benjamin Lu
 * @license      GNU General Public License v2 or later ( https://www.gnu.org/licenses/gpl-2.0.html )
 * @author       Benjamin Lu  ( https://benjlu.com )
 */

/**
 * Define namespace
 */
namespace Camaraderie\Config;

/**
 * Table of Content
 *
 *  1.0 - Config (Sidebars)
 */
/**
 *  1.0 - Config (Sidebars)
 */
function register_sidebars() {
	/**
	 * Portfolio Sidebar
	 */
	register_sidebar(
		array(
			'name'          => esc_html__( 'Portfolio Sidebar', 'camaraderie' ),
			'description'   => esc_html__( 'Add widgets here to appear in your sidebar on custom pages only', 'camaraderie' ),
			'id'            => 'sidebar-portfolio',
			'before_widget' => '<aside id="%1$s" class="widget %2$s">',
			'after_widget'  => '</aside>',
			'before_title'  => '<h2 class="widget-title">',
			'after_title'   => '</h2>',
		)
	);
}
add_action( 'widgets_init', __NAMESPACE__ . '\register_sidebars' );
