<?php
/**
 * Camaraderie ( title-description.php )
 *
 * @package     Camaraderie
 * @copyright   Copyright (C) 2017-2019. Benjamin Lu
 * @license     GNU General Public License v2 or later ( https://www.gnu.org/licenses/gpl-2.0.html )
 * @author      Benjamin Lu ( https://benjlu.com )
 */

/**
 * Define namespace
 */
namespace Camaraderie\Entry;

/**
 * Table of Content
 *
 * 1.0 - Customize ( Theme Options )
 */

/**
 * 1.0 - Customize ( Theme Options )
 *
 * @param string $feature output.
 */
function display( $feature = '' ) {
	if ( 'jetpack-portfolio-title' === $feature ) {
		$portfolio_title = get_theme_mod( 'portfolio_title', __( 'Projects', 'camaraderie' ) );
		$title           = '';

		if ( isset( $portfolio_title ) && '' !== $portfolio_title ) {
			$title = $portfolio_title;
		} else {
			$title = post_type_archive_title( '', false );
		}
		echo esc_html( $title );
	} elseif ( 'jetpack-portfolio-description' === $feature ) {
		$portfolio_description = get_theme_mod( 'portfolio_description', esc_html__( 'Some of My Recent Works', 'camaraderie' ) );
		$title                 = '';

		if ( isset( $portfolio_description ) && '' !== $portfolio_description ) {
			$title = $portfolio_description;
		}
		echo esc_html( $title );
	} elseif ( 'blog-title' === $feature ) {
		$blog_title = get_theme_mod( 'blog_title', __( 'Blog', 'camaraderie' ) );
		$title      = '';

		if ( isset( $blog_title ) && '' !== $blog_title ) {
			$title = $blog_title;
		}
		echo esc_html( $title );
	} elseif ( 'blog-description' === $feature ) {
		$blog_description = get_theme_mod( 'blog_description', __( 'Latest News', 'camaraderie' ) );
		$title            = '';

		if ( isset( $blog_description ) && '' !== $blog_description ) {
			$title = $blog_description;
		}
		echo esc_html( $title );
	} elseif ( 'testimonial-title' === $feature ) {
		$testimonial_title = get_theme_mod( 'testimonial_title', __( 'Testimonials', 'camaraderie' ) );
		$title             = '';

		if ( isset( $testimonial_title ) && '' !== $testimonial_title ) {
			$title = $testimonial_title;
		}
		echo esc_html( $title );
	} elseif ( 'testimonial-description' === $feature ) {
		$testimonial_description = get_theme_mod( 'testimonial_description', __( 'What People Say About Us', 'camaraderie' ) );
		$title                   = '';

		if ( isset( $testimonial_description ) && '' !== $testimonial_description ) {
			$title = $testimonial_description;
		}
		echo esc_html( $title );
	} elseif ( 'contact-description' === $feature ) {
		$contact_description = get_theme_mod( 'contact_description', __( 'Questions or Hire Me', 'camaraderie' ) );
		$title               = '';

		if ( isset( $contact_description ) && '' !== $contact_description ) {
			$title = $contact_description;
		}
		echo esc_html( $title );
	} elseif ( 'related-title' === $feature ) {
		$related_title = get_theme_mod( 'related_title', __( 'Related Items', 'camaraderie' ) );
		$title         = '';

		if ( isset( $related_title ) && '' !== $related_title ) {
			$title = $related_title;
		}
		echo esc_html( $title );
	}
}
