<?php
/**
 * Camaraderie ( custom-image.php )
 *
 * @package     Camaraderie
 * @copyright   Copyright (C) 2017-2019. Benjamin Lu
 * @license     GNU General Public License v2 or later ( https://www.gnu.org/licenses/gpl-2.0.html )
 * @author      Benjamin Lu ( https://benjlu.com )
 */

/**
 * Define namespace
 */
namespace Camaraderie;

/**
 * Table of Content
 *
 * 1.0 - Inline Styles ( custom-image )
 */

/**
 * 1.0 - Inline Styles ( custom-image )
 */
function load_custom_image_inline_styles() {
	$custom_image = esc_url( get_theme_mod( 'custom_image', get_theme_file_uri( '/vendor/benlumia007/backdrop-core/src/assets/images/header-image.jpg' ) ) );
	$avatar       = esc_url( get_theme_mod( 'custom_avatar', get_theme_file_uri( '/vendor/benlumia007/backdrop-core/src/assets/images/avatar.jpg' ) ) );

	$custom_css = "      
        .site-header {
            padding-top: 15em;
            min-height: 100vh;
        }  
        .site-header.custom-image {
            background: url({$custom_image});
            background-attachment: fixed;
            background-position: center;
        }
        
        .site-avatar {
            background: url({$avatar}) no-repeat;
            border: 0.625em solid #cccccc;
            border-radius: 50%;
            height: 15.625em;
            margin: 1em auto;
            width: 15.625em;
        }
    ";
	wp_add_inline_style( 'backdrop-style', $custom_css );
}
add_action( 'wp_enqueue_scripts', __NAMESPACE__ . '\load_custom_image_inline_styles' );
