<?php
/**
 * Camaraderie ( header-image.php )
 *
 * @package     Camaraderie
 * @copyright   Copyright (C) 2017-2019. Benjamin Lu
 * @license     GNU General Public License v2 or later ( https://www.gnu.org/licenses/gpl-2.0.html )
 * @author      Benjamin Lu ( https://benjlu.com )
 */

/**
 * Define namespace
 */
namespace Camaraderie;

/**
 * Table of Content
 *
 * 1.0 - Inline Styles ( header-image )
 */

/**
 * 1.0 - Inline Styles ( header-image )
 */
function load_header_image_inline_styles() {
	$header_image = esc_url( get_theme_mod( 'header_image', get_theme_file_uri( '/vendor/benlumia007/backdrop-core/src/assets/images/header-image.jpg' ) ) );

	$custom_css = "
		.site-header.header-image {
			background-attachment: scroll;
			background: url( {$header_image} );
			background-position: center;
			background-repeat: no-repeat;
			min-height: 5.5em;
			padding: 10em 0;
		}
	";
	wp_add_inline_style( 'backdrop-style', $custom_css );

}
add_action( 'wp_enqueue_scripts', __NAMESPACE__ . '\load_header_image_inline_styles' );
