<?php
/**
 * Camaraderie ( section-blog.php )
 *
 * @package     Camaraderie
 * @copyright   Copyright (C) 2017-2019. Benjamin Lu
 * @license     GNU General Public License v2 or later ( https://www.gnu.org/licenses/gpl-2.0.html )
 * @author      Benjamin Lu ( https://benjlu.com.com )
 */

?>
<section class="section-blog">
	<div class="blog-container">
		<header class="blog-header">
			<h1 class="blog-title"><?php Camaraderie\Entry\display( 'blog-title' ); ?></h1>
			<span class="blog-description"><?php Camaraderie\Entry\display( 'blog-description' ); ?></span>
		</header>
		<div class="blog-content">
			<div class="blog-grid">
				<?php
					$posts_per_page = 2;
					$query          = new \WP_Query(
						array(
							'post_type'           => 'post',
							'ignore_sticky_posts' => 1,
							'posts_per_page'      => $posts_per_page,
						)
					);

					if ( $query->have_posts() ) {
						while ( $query->have_posts() ) {
							$query->the_post();
							?>
								<div class="blog-items">
									<?php the_post_thumbnail( 'backdrop-medium-thumbnails' ); ?>
									<header class="blog-entry-header">
										<h1 class="blog-entry-title"><a href="<?php echo esc_url( get_permalink() ); ?>"><?php the_title(); ?></a></h1>
										<span class="blog-entry-metadata"><?php echo wp_kses_post( \Benlumia007\Backdrop\Entry\display( 'entry-posted-on' ) ); ?></span>
									</header>
									<div class="blog-excerpt">
										<?php the_excerpt(); ?>
									</div>
								</div>
							<?php
						}
					}
					?>
			</div>
		</div>
	</div>
</section>
