<?php
/**
 * Camaraderie ( section-jetpack-portfolio.php )
 *
 * @package     Camaraderie
 * @copyright   Copyright (C) 2017-2019. Benjamin Lu
 * @license     GNU General Public License v2 or later ( https://www.gnu.org/licenses/gpl-2.0.html )
 * @author      Benjamin Lu ( https://benjlu.com )
 */

?>
<section class="section-portfolio">
	<div class="portfolio-container">
		<header class="portfolio-header">
			<h1 class="portfolio-title"><?php Camaraderie\Entry\display( 'jetpack-portfolio-title' ); ?></h1>
			<span class="portfolio-description"><?php Camaraderie\Entry\display( 'jetpack-portfolio-description' ); ?></span>
		</header>
		<div class="portfolio-content">
			<div class="portfolio-grid">
				<?php
					$posts_per_page = get_option( 'jetpack_portfolio_posts_per_page' );
					$query          = new \WP_Query(
						array(
							'post_type'      => 'jetpack-portfolio',
							'posts_per_page' => $posts_per_page,
						)
					);
					if ( $query->have_posts() ) {
						while ( $query->have_posts() ) {
							$query->the_post();

							if ( has_post_thumbnail() ) {
								?>
									<div class="portfolio-items">
										<a href="<?php echo esc_url( get_permalink() ); ?>">
											<?php the_post_thumbnail( 'backdrop-large-thumbnails' ); ?>
										</a>
										<div class="wp-caption">
											<div class="wp-caption-text">
												<h2 class="jetpack-portfolio-title"><a href="<?php echo esc_url( get_permalink() ); ?>"><?php the_post_thumbnail_caption(); ?></a></h2>
												<span><?php echo wptexturize( wp_strip_all_tags( get_post( get_post_thumbnail_id() )->post_content ) ); // phpcs:ignore ?></span>
											</div>
										</div>
									</div>
								<?php
							}
						}
					}
					wp_reset_postdata();
					?>
			</div>
		</div>
	</div>
</section>
